aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Samuel Bratton (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ARIES-1338) Bundle manifest parser does not allow multiple packages on Import-Package clause
Date Thu, 25 Jun 2015 19:42:05 GMT
Samuel Bratton created ARIES-1338:
-------------------------------------

             Summary: Bundle manifest parser does not allow multiple packages on Import-Package
clause
                 Key: ARIES-1338
                 URL: https://issues.apache.org/jira/browse/ARIES-1338
             Project: Aries
          Issue Type: Bug
          Components: Subsystem
    Affects Versions: subsystem-core-1.2.0
            Reporter: Samuel Bratton
            Priority: Minor


Parsing a bundle manifest fails on Import-Package if a clause contains more than one target
(package) for example, this syntax fails:

Import-package: org.apache.p1; org.apache.p2; vendor="Apache"

When the bundle with  above manifest appears as content in an esa, an exception is thrown:

java.lang.IllegalArgumentException: Only one package name per requirement allowed
   at org.apache.aries.subsystem.core.archive.ImportPackageRequirement.<init>(ImportPackageRequirement.java:39)
   at org.apache.aries.subsystem.core.archive.ImportPackageHeader$Clause.toRequirement(ImportPackageHeader.java:159)
   at org.apache.aries.subsystem.core.archive.ImportPackageHeader.toRequirements(ImportPackageHeader.java:218)
   at org.apache.aries.subsystem.core.internal.BundleResource.computeOsgiWiringPackageRequirements(BundleResource.java:182)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message